# Class DigestLoginModule

java.lang.Object
org.apache.zookeeper.server.auth.DigestLoginModule

All Implemented Interfaces:
  `LoginModule`

public class DigestLoginModule extends Object implements LoginModule

## Constructor Summary

Constructors
Constructor
Description
`DigestLoginModule()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`abort()`
`boolean`
`commit()`
`void`
`initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
`boolean`
`login()`
`boolean`
`logout()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DigestLoginModule

public DigestLoginModule()

## Method Details

### abort

public boolean abort()

Specified by:
  `abort` in interface `LoginModule`

### commit

public boolean commit()

Specified by:
  `commit` in interface `LoginModule`

### initialize

public void initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)

Specified by:
  `initialize` in interface `LoginModule`

### logout

public boolean logout()

Specified by:
  `logout` in interface `LoginModule`

### login

public boolean login()

Specified by:
  `login` in interface `LoginModule`